"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
module.exports = (rule, context) => {
    const { filesystem } = context;
    if (rule.location) {
        const dirPath = path.isAbsolute(rule.location) ? rule.location : path.join(process.cwd(), rule.location);
        if (filesystem.exists(dirPath) !== 'dir') {
            throw new Error(rule.error || `Location '${rule.location}' is not a directory`);
        }
    }
    else {
        throw new Error(`No location for directory rule`);
    }
};
//# sourceMappingURL=checkDir.js.map