"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const checkDir = require('../../checkDir');
exports.default = (context) => __awaiter(void 0, void 0, void 0, function* () {
    const { print, prompt } = context;
    let repeat = true;
    let dirPath = { value: '' };
    while (repeat) {
        dirPath = (yield prompt.ask({
            name: 'value',
            type: 'input',
            message: "Enter the path to the directory you'd like to enforce",
        }));
        try {
            // Check dir for existence
            checkDir({ location: dirPath.value }, context);
            repeat = false;
        }
        catch (e) {
            print.error('Directory not found on this machine.');
            const tryAgain = yield prompt.confirm('Would you like to try a different path?');
            repeat = tryAgain;
        }
    }
    print.success(`Enforcing DIR for ${dirPath.value}`);
    return { rule: 'dir', location: dirPath.value };
});
//# sourceMappingURL=kickoffDir.js.map