"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../../types");
module.exports = (parameters, settings) => {
    const { options } = parameters;
    // CLI flags override config
    if (options.verbose || options.a) {
        return types_1.SolidarityOutputMode.VERBOSE;
    }
    else if (options.silent || options.s) {
        return types_1.SolidarityOutputMode.SILENT;
    }
    else if (options.moderate || options.m) {
        return types_1.SolidarityOutputMode.MODERATE;
    }
    // Set output mode, set to default on invalid value
    let outputModeString = settings.config ? String(settings.config.output).toUpperCase() : 'MODERATE';
    return types_1.SolidarityOutputMode[outputModeString] || types_1.SolidarityOutputMode.MODERATE;
};
//# sourceMappingURL=setOutputMode.js.map